treebuilders Package
====================

:mod:`treebuilders` Package
---------------------------

.. automodule:: html5lib.treebuilders
    :members:
    :show-inheritance:
    :special-members: __init__

:mod:`base` Module
-------------------

.. automodule:: html5lib.treebuilders.base
    :members:
    :show-inheritance:
    :special-members: __init__

:mod:`dom` Module
-----------------

.. automodule:: html5lib.treebuilders.dom
    :members:
    :show-inheritance:
    :special-members: __init__

:mod:`etree` Module
-------------------

.. automodule:: html5lib.treebuilders.etree
    :members:
    :show-inheritance:
    :special-members: __init__

:mod:`etree_lxml` Module
------------------------

.. automodule:: html5lib.treebuilders.etree_lxml
    :members:
    :show-inheritance:
    :special-members: __init__
